Создать группу контрагентов
Мутация гейтится политикой counterparty_group_create: при требовании подписи вернётся ЗАЯВКА, а не созданная группа
curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"code": "exchanges",
"name": "Биржи",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"code": "exchanges",
"name": "Биржи",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"code": "exchanges",
"name": "Биржи",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"code": "exchanges",
"name": "Биржи",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}`)
req, err := http.NewRequest("POST", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"code": "exchanges",
"name": "Биржи",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}'
response = http.request(request)
puts response.body
{
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"code": "exchanges",
"name": "Биржи",
"description": "example_string",
"avatarUri": "example_string",
"color": "example_string",
"emoji": "example_string",
"archivedAt": "2026-07-02T11:25:15.134Z",
"createdAt": "2026-07-02T11:25:15.134Z",
"updatedAt": "2026-07-02T11:25:15.134Z"
}
{
"request": {
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"action": "example_string",
"status": "example_string",
"initiatorId": "example_string",
"targetType": "example_string",
"targetId": "example_string",
"baseVersion": "example_string",
"payload": "null",
"decisionPolicyId": "example_string",
"decisionPolicyCode": "example_string",
"approvalThreshold": 42,
"resolvedResultId": "example_string",
"resolvedAt": "2026-07-02T11:25:15.134Z",
"createdAt": "2026-07-02T11:25:15.134Z",
"updatedAt": "2026-07-02T11:25:15.134Z",
"approvers": [
{
"id": "example_string",
"userId": "example_string",
"decision": "approve",
"comment": "example_string",
"votedAt": "2026-07-02T11:25:15.134Z",
"stepIndexesJson": [
42
],
"createdAt": "2026-07-02T11:25:15.134Z",
"user": {
"id": "example_string",
"name": "John Doe",
"email": "user@example.com",
"username": "John Doe",
"image": "example_string",
"color": "#000",
"emoji": "🦊"
}
}
]
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/api/v1/vaults/{code}/counterparty-groupsPOST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
Requiredbetter-auth session token. Мобилка/сервисы. Веб использует cookie.
better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key (cookie: better-auth.session_token)
better-auth.session_tokenstring
RequiredAPI key (sent in cookie)
path
codestring
RequiredУникальный код Vault'а (slug)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
codestring
RequiredMin length: 1
namestring
RequiredMin length: 1
avatarUristring
Format: uri • Max length: 2048
colorstring
Pattern: ^#([0-9a-fA-F]{3,4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
emojistring
Min length: 1 • Max length: 16
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.
path
parameterstring
RequiredAPI Key for authentication. Provide your API key in the cookie.
Path Parameters
Responses
Was this page helpful?